Upstream information

CVE-2011-0541 at MITRE

Description

fuse 2.8.5 and earlier does not properly handle when /etc/mtab cannot be updated, which allows local users to unmount arbitrary directories via a symlink attack.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.3
Vector AV:L/AC:M/Au:N/C:N/I:P/A:P
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 668820 [RESOLVED / FIXED], 685055 [RESOLVED / DUPLICATE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • fuse >= 2.9.3-5.1
  • libfuse2 >= 2.9.3-5.1
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12 SP5
  • fuse >= 2.9.3-6.3.1
  • libfuse2 >= 2.9.3-6.3.1
SUSE Linux Enterprise Desktop 12
SUSE Linux Enterprise Server 12
  • fuse >= 2.9.3-3.65
  • libfuse2 >= 2.9.3-3.65
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • fuse >= 2.9.7-3.3.1
  • fuse-devel >= 2.9.7-3.3.1
  • fuse-doc >= 2.9.7-3.3.1
  • libfuse2 >= 2.9.7-3.3.1
  • libulockmgr1 >= 2.9.7-3.3.1
SUSE Linux Enterprise Module for Basesystem 15
  • fuse >= 2.9.7-1.49
  • fuse-devel >= 2.9.7-1.49
  • fuse-doc >= 2.9.7-1.49
  • libfuse2 >= 2.9.7-1.49
  • libulockmgr1 >= 2.9.7-1.49
SUSE Linux Enterprise Server 11 SP1
  • fuse >= 2.7.2-61.23.1
  • libblkid1 >= 2.16-6.11.1
  • libfuse2 >= 2.7.2-61.23.1
  • libuuid1 >= 2.16-6.11.1
  • libuuid1-32bit >= 2.16-6.11.1
  • libuuid1-x86 >= 2.16-6.11.1
  • util-linux >= 2.16-6.11.1
  • util-linux-lang >= 2.16-6.11.1
  • uuid-runtime >= 2.16-6.11.1
Patchnames:
slessp1-util-linux-and-fuse-201103
SUSE Linux Enterprise Server 11 SP2
  • fuse >= 2.7.2-61.23.1
  • libfuse2 >= 2.7.2-61.23.1
SUSE Linux Enterprise Server 11 SP3
  • fuse >= 2.8.7-0.9.12
  • libfuse2 >= 2.8.7-0.9.12
SUSE Linux Enterprise Server 11 SP4
  • fuse >= 2.8.7-0.11.1
  • libfuse2 >= 2.8.7-0.11.1
SUSE Linux Enterprise Software Development Kit 11 SP4
  • fuse-devel >= 2.8.7-0.11.1
SUSE Linux Enterprise Software Development Kit 12 SP1
SUSE Linux Enterprise Software Development Kit 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP3
  • fuse-devel >= 2.9.3-5.1
  • fuse-devel-static >= 2.9.3-5.1
  • libulockmgr1 >= 2.9.3-5.1
SUSE Linux Enterprise Software Development Kit 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP5
  • fuse-devel >= 2.9.3-6.3.1
  • fuse-devel-static >= 2.9.3-6.3.1
  • libulockmgr1 >= 2.9.3-6.3.1
SUSE Linux Enterprise Software Development Kit 12
  • fuse-devel >= 2.9.3-3.65
  • fuse-devel-static >= 2.9.3-3.65
  • libulockmgr1 >= 2.9.3-3.65
openSUSE 11.2
  • fuse-debuginfo >= 2.7.4-3.8.1
  • fuse-debugsource >= 2.7.4-3.8.1
  • libblkid1-debuginfo >= 2.16-4.6.1
  • libblkid1-debuginfo-32bit >= 2.16-4.6.1
  • libfuse2-debuginfo >= 2.7.4-3.8.1
  • libfuse2-debuginfo-32bit >= 2.7.4-3.8.1
  • libuuid1-debuginfo >= 2.16-4.6.1
  • libuuid1-debuginfo-32bit >= 2.16-4.6.1
  • util-linux-debuginfo >= 2.16-4.6.1
  • util-linux-debugsource >= 2.16-4.6.1
  • uuidd-debuginfo >= 2.16-4.6.1
openSUSE 11.2
  • fuse >= 2.7.4-3.8.1
  • fuse-devel >= 2.7.4-3.8.1
  • fuse-devel-static >= 2.7.4-3.8.1
  • libblkid-devel >= 2.16-4.6.1
  • libblkid-devel-32bit >= 2.16-4.6.1
  • libblkid1 >= 2.16-4.6.1
  • libblkid1-32bit >= 2.16-4.6.1
  • libfuse2 >= 2.7.4-3.8.1
  • libfuse2-32bit >= 2.7.4-3.8.1
  • libuuid-devel >= 2.16-4.6.1
  • libuuid-devel-32bit >= 2.16-4.6.1
  • libuuid1 >= 2.16-4.6.1
  • libuuid1-32bit >= 2.16-4.6.1
  • util-linux >= 2.16-4.6.1
  • util-linux-lang >= 2.16-4.6.1
  • uuidd >= 2.16-4.6.1
SUSE Linux Enterprise Software Development Kit 11 SP1
  • fuse-devel >= 2.7.2-61.23.1
  • libblkid-devel >= 2.16-6.11.1
  • libuuid-devel >= 2.16-6.11.1
Builds
SAT Patch Nr: 4095
SUSE Linux Enterprise Software Development Kit 11 SP1
  • fuse-devel >= 2.7.2-61.23.1
  • libblkid-devel >= 2.16-6.11.1
  • libblkid1-x86 >= 2.16-6.11.1
  • libuuid-devel >= 2.16-6.11.1
Builds
SAT Patch Nr: 4095
SUSE Linux Enterprise Software Development Kit 11 SP1
  • fuse-devel >= 2.7.2-61.23.1
  • libblkid-devel >= 2.16-6.11.1
  • libblkid-devel-32bit >= 2.16-6.11.1
  • libblkid1-32bit >= 2.16-6.11.1
  • libuuid-devel >= 2.16-6.11.1
  • libuuid-devel-32bit >= 2.16-6.11.1
Builds
SAT Patch Nr: 4095
SUSE Linux Enterprise Desktop 11 SP1
  • fuse >= 2.7.2-61.23.1
  • libblkid1 >= 2.16-6.11.1
  • libfuse2 >= 2.7.2-61.23.1
  • libuuid-devel >= 2.16-6.11.1
  • libuuid1 >= 2.16-6.11.1
  • util-linux >= 2.16-6.11.1
  • util-linux-lang >= 2.16-6.11.1
  • uuid-runtime >= 2.16-6.11.1
Builds
SAT Patch Nr: 4095
SUSE Linux Enterprise Desktop 11 SP1
  • fuse >= 2.7.2-61.23.1
  • libblkid1 >= 2.16-6.11.1
  • libfuse2 >= 2.7.2-61.23.1
  • libuuid-devel >= 2.16-6.11.1
  • libuuid1 >= 2.16-6.11.1
  • libuuid1-32bit >= 2.16-6.11.1
  • util-linux >= 2.16-6.11.1
  • util-linux-lang >= 2.16-6.11.1
  • uuid-runtime >= 2.16-6.11.1
Builds
SAT Patch Nr: 4095
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • fuse >= 2.7.2-61.23.1
  • libblkid1 >= 2.16-6.11.1
  • libfuse2 >= 2.7.2-61.23.1
  • libuuid1 >= 2.16-6.11.1
  • util-linux >= 2.16-6.11.1
  • util-linux-lang >= 2.16-6.11.1
  • uuid-runtime >= 2.16-6.11.1
Builds
SAT Patch Nr: 4095
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • fuse >= 2.7.2-61.23.1
  • libblkid1 >= 2.16-6.11.1
  • libfuse2 >= 2.7.2-61.23.1
  • libuuid1 >= 2.16-6.11.1
  • libuuid1-32bit >= 2.16-6.11.1
  • util-linux >= 2.16-6.11.1
  • util-linux-lang >= 2.16-6.11.1
  • uuid-runtime >= 2.16-6.11.1
Builds
SAT Patch Nr: 4095
SUSE Linux Enterprise Server 11 SP1
  • fuse >= 2.7.2-61.23.1
  • libblkid1 >= 2.16-6.11.1
  • libfuse2 >= 2.7.2-61.23.1
  • libuuid1 >= 2.16-6.11.1
  • libuuid1-x86 >= 2.16-6.11.1
  • util-linux >= 2.16-6.11.1
  • util-linux-lang >= 2.16-6.11.1
  • uuid-runtime >= 2.16-6.11.1
Builds
SAT Patch Nr: 4095
openSUSE 11.3
  • fuse-debuginfo >= 2.8.5-2.7.1
  • fuse-debugsource >= 2.8.5-2.7.1
  • libblkid1-debuginfo >= 2.17.2-6.3.1
  • libblkid1-debuginfo-32bit >= 2.17.2-6.3.1
  • libfuse2-debuginfo >= 2.8.5-2.7.1
  • libfuse2-debuginfo-32bit >= 2.8.5-2.7.1
  • libuuid1-debuginfo >= 2.17.2-6.3.1
  • libuuid1-debuginfo-32bit >= 2.17.2-6.3.1
  • util-linux-debuginfo >= 2.17.2-6.3.1
  • util-linux-debugsource >= 2.17.2-6.3.1
  • uuidd-debuginfo >= 2.17.2-6.3.1
openSUSE 11.3
  • fuse >= 2.8.5-2.7.1
  • fuse-devel >= 2.8.5-2.7.1
  • fuse-devel-static >= 2.8.5-2.7.1
  • libblkid-devel >= 2.17.2-6.3.1
  • libblkid-devel-32bit >= 2.17.2-6.3.1
  • libblkid1 >= 2.17.2-6.3.1
  • libblkid1-32bit >= 2.17.2-6.3.1
  • libfuse2 >= 2.8.5-2.7.1
  • libfuse2-32bit >= 2.8.5-2.7.1
  • libuuid-devel >= 2.17.2-6.3.1
  • libuuid-devel-32bit >= 2.17.2-6.3.1
  • libuuid1 >= 2.17.2-6.3.1
  • libuuid1-32bit >= 2.17.2-6.3.1
  • util-linux >= 2.17.2-6.3.1
  • util-linux-lang >= 2.17.2-6.3.1
  • uuidd >= 2.17.2-6.3.1
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP3 for x86
  • fuse >= 2.7.2-15.10.11.1
  • fuse-devel >= 2.7.2-15.10.11.1
  • libfuse2 >= 2.7.2-15.10.11.1
  • util-linux >= 2.12r-35.41.43.7
Builds
ZYPP Patch Nr: 7362
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • util-linux >= 2.12r-35.41.43.7
Builds
ZYPP Patch Nr: 7362
SUSE Linux Enterprise SDK 10 SP3
  • fuse >= 2.7.2-15.10.11.1
  • fuse-devel >= 2.7.2-15.10.11.1
  • libfuse2 >= 2.7.2-15.10.11.1
Builds
ZYPP Patch Nr: 7362
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries
SLE SDK 10 SP4 for IBM zSeries
SLE SDK 10 SP4 for IPF
SLE SDK 10 SP4 for X86-64
SLE SDK 10 SP4 for x86
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP4 for x86
  • fuse >= 2.7.2-15.10.11.10
  • fuse-devel >= 2.7.2-15.10.11.10
  • libfuse2 >= 2.7.2-15.10.11.10
Builds
ZYPP Patch Nr: 7418
openSUSE Leap 15.0
  • fuse >= 2.9.7-lp150.1.30
  • libfuse2 >= 2.9.7-lp150.1.30
Patchnames:
openSUSE Leap 15.0 GA fuse
openSUSE Leap 42.1
  • fuse >= 2.9.3-8.2
  • libfuse2 >= 2.9.3-8.2
Patchnames:
openSUSE Leap 42.1 GA fuse
openSUSE Leap 42.2
  • fuse >= 2.9.3-9.6
  • libfuse2 >= 2.9.3-9.6
Patchnames:
openSUSE Leap 42.2 GA fuse
openSUSE Leap 42.3
  • fuse >= 2.9.3-11.3
  • libfuse2 >= 2.9.3-11.3
Patchnames:
openSUSE Leap 42.3 GA fuse
openSUSE Tumbleweed
  • fuse >= 2.9.5-1.6
  • fuse-devel >= 2.9.5-1.6
  • fuse-devel-static >= 2.9.5-1.6
  • libfuse2 >= 2.9.5-1.6
  • libfuse2-32bit >= 2.9.5-1.6
  • libulockmgr1 >= 2.9.5-1.6
Patchnames:
openSUSE Tumbleweed GA fuse


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 fuse Released
SLED-10-SP4 fuse Released
SUSE Linux Enterprise Desktop 11 SP1 fuse Released
SUSE Linux Enterprise Server 11 SP1 fuse Released
SUSE Linux Enterprise Server 11 SP1 LTSS fuse Released
SUSE Linux Enterprise Server for SAP Business All-in-One fuse Released
SUSE Linux Enterprise Software Development Kit 11 SP1 fuse Released